package com.ruoyi.mall.mapper;

import java.util.List;
import java.util.Map;

import com.ruoyi.mall.domain.MallOrderComment;

/**
 * 商品评论Mapper接口
 * 
 * @author chang
 * @date 2021-11-25
 */
public interface MallOrderCommentMapper 
{
    /**
     * 查询商品评论
     * 
     * @param id 商品评论主键
     * @return 商品评论
     */
    public MallOrderComment selectMallOrderCommentById(Long id);

    /**
     * 查询商品评论列表
     * 
     * @param mallOrderComment 商品评论
     * @return 商品评论集合
     */
    public List<Map<String, Object>> selectMallOrderCommentList(MallOrderComment mallOrderComment);

    /**
     * 新增商品评论
     * 
     * @param mallOrderComment 商品评论
     * @return 结果
     */
    public int insertMallOrderComment(MallOrderComment mallOrderComment);

    /**
     * 修改商品评论
     * 
     * @param mallOrderComment 商品评论
     * @return 结果
     */
    public int updateMallOrderComment(MallOrderComment mallOrderComment);

    /**
     * 删除商品评论
     * 
     * @param id 商品评论主键
     * @return 结果
     */
    public int deleteMallOrderCommentById(Long id);

    /**
     * 批量删除商品评论
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteMallOrderCommentByIds(Long[] ids);

    public int selectCountByGoodsId(Long goodsId);

    public List<Map<String,Object>> selectTwoRecordByGoodsId(Long goodsId);

    public List<Map<String,Object>> selectCommentListByGoodsId(Long goodsId);
}
